Subject: bug#67493: closed (Re: [bug#67493] [PATCH 0/6] Update telegram desktop)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 26 Sep 2024 05:41:02 +0000

Your bug report

#67493: [PATCH 0/6] Update telegram desktop

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
67493: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=67493
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#67493] [PATCH 0/6] Update telegram desktop
From: Maxim Cournoyer <[email-masked]>
To: Saku Laesvuori <[email-masked]>
Cc: [email-masked], Sharlatan Hellseher <[email-masked]>, Liliana Prikler <[email-masked]>
Date: Thu, 26 Sep 2024 14:30:50 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Saku Laesvuori <[email-masked]> writes:

>> Hi,
>> 
>> The v4.14.13 is out now, did you try to bump it to that version?
>
> I haven't tried that yet as I'm currently working on updating GHC. I
> will look into this again after I'm done with that, but anyone interested
> in getting telegram updated should feel free to try updating it to that
> version.

telegram-desktop is now at version 5.5.5 on master, obsoleting this
series.  Thanks for your efforts!

Closing.

-- 
Thanks,
Maxim

Subject: [PATCH 0/6] Update telegram desktop
From: Saku Laesvuori <[email-masked]>
To: [email-masked]
Cc: Saku Laesvuori <[email-masked]>
Date: Mon, 27 Nov 2023 21:23:04 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

This series updates telegram-desktop to the latest version (4.11.8).

Saku Laesvuori (6):
  gnu: Update glib-next to 2.78.1
  gnu: Update glibmm-next to 2.77.0
  gnu: Add expected-lite
  gnu: Add cppgir
  gnu: Update range-v3 to 0.12.0
  gnu: Update telegram-desktop to 4.11.8

 gnu/local.mk                                  |   4 +-
 gnu/packages/cpp.scm                          |  26 +++-
 gnu/packages/glib.scm                         |  43 +++++-
 .../patches/range-v3-build-with-gcc10.patch   | 122 ------------------
 .../telegram-desktop-fix-lib-base-build.patch |  24 ++++
 .../telegram-desktop-unbundle-cppgir.patch    |  45 +++++++
 .../telegram-desktop-unbundle-gsl.patch       |  33 +++++
 gnu/packages/telegram.scm                     |  99 ++++++++++----
 8 files changed, 236 insertions(+), 160 deletions(-)
 delete mode 100644 gnu/packages/patches/range-v3-build-with-gcc10.patch
 create mode 100644 gnu/packages/patches/telegram-desktop-fix-lib-base-build.patch
 create mode 100644 gnu/packages/patches/telegram-desktop-unbundle-cppgir.patch
 create mode 100644 gnu/packages/patches/telegram-desktop-unbundle-gsl.patch

base-commit: 9f67681db15d22f7ede5488315d52b78e357343e
-- 
2.41.0